

function FrameMoveStart()
  BattlePetFrame:StartMoving();
end

function FrameMoveEnd()
  BattlePetFrame:StopMovingOrSizing();
end

function hideShowFrames()
  if container:IsShown() then
    container:Hide();
	
  else	
	container:Show();
  end
	
end

function BattlePetFrame_OnEvent(self, event)
	if event == "PET_BATTLE_CLOSE" then
		self:Show();
	end
	if event == "PET_BATTLE_OPENING_START" then
		self:Hide();
	end
end

function BattlePetFrame_OnUpdate(self, elapsed)
  self.TimeSinceLastUpdate = self.TimeSinceLastUpdate + elapsed; 	

  if (self.TimeSinceLastUpdate > 1.0) then
    updateBars();
    self.TimeSinceLastUpdate = 0;
  end
end


function updateBars()
  local icons ={sub1, sub2, sub3};
  for i=1,3 do
	pet = C_PetJournal.GetPetLoadOutInfo(i);
	if pet then
		local _,_, petLevel ,petCurrentXp,petMaxXp,_,_,petName,petIcon,petType = C_PetJournal.GetPetInfoByPetID(pet);
		local petHealth, petMaxHealth, _,_, petRarity = C_PetJournal.GetPetStats(pet);
		icons[i].icon.tex:SetTexture(petIcon);
		icons[i].icon.levelFrame.levelText:SetText(petLevel);
		icons[i].healthBar:SetStatusBarColor(30/255,255/255,25/255);
		icons[i].healthBar:SetMinMaxValues(0, petMaxHealth);
		icons[i].healthBar:SetValue(petHealth);
		icons[i].healthBar.hpText:SetText(string.format("%i / %i HP", petHealth, petMaxHealth))
		icons[i].experBar:SetStatusBarColor(130/255,0/255,255/255);
		icons[i].experBar:SetMinMaxValues(0, petMaxXp);
		icons[i].experBar:SetValue(petCurrentXp);
		icons[i].experBar.xpText:SetText(string.format("%i / %i XP", petCurrentXp, petMaxXp));
		
	end
 end
end

